Skip to main content
GET
List my wallets

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Headers

Zuba-Account-Id
string<uuid>

Optional. Names an owned sub-account (UUID) to act on. Omit to act at the master (tenant) level. Naming an account this key does not own returns 403 not_account_owner.

Query Parameters

cursor
string

Opaque cursor returned by the previous page

limit
number
default:20

Number of items per page

Required range: 1 <= x <= 100
network
string

Only wallets on this network. Accepts the same spellings as network on create.

  • eip155:1: Ethereum (also accepted: ethereum, eth)
  • eip155:8453: Base (also accepted: base)
  • eip155:4217: Tempo (also accepted: tempo)
  • eip155:42431: Tempo Moderato (also accepted: tempo-moderato, tempo_moderato)
  • solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp: Solana (also accepted: solana, sol)
  • tron:mainnet: Tron (also accepted: tron, trx)
  • solana:EtWTRABZaYq6iMfeYKouRu166VU2xqa1: Solana Devnet (also accepted: solana-devnet, solana_devnet, sol-devnet)
Example:

"eip155:1"

Response

Wallets for the request owner

data
object[]
required
hasMore
boolean
required

Whether more items exist after this page

Example:

true

nextCursor
string | null
required

Opaque cursor for the next page, or null when there are no more items

Example:

"eyJ2IjoxLCJjcmVhdGVkQXQiOiIyMDI2LTAxLTAxVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItNDJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9"

object
enum<string>
required

Stable resource-specific collection discriminator

Available options:
wallet.list
Pattern: ^[a-z][a-z0-9_]*\.list$
Example:

"wallet.list"